Skip to content
NuxieNuxie
Esc
↑↓navigate↵open⌘Jpreview
Open Nuxie

List your workspaces

Find the workspace ID to use for API key management.

GEThttps://api.nuxie.ai/v1/workspaces

List the workspaces your Nuxie account belongs to. Choose a workspace’s id when creating an API key.

Authentication

Authenticate with the user session bearer token returned by Create a user session. A workspace sk_ key cannot authenticate this operation.

Response

objectstringrequired

list.

dataobject[]required

Workspaces where the signed-in user is a member.

Workspace fields
objectstringrequired

workspace.

idstringrequired

Workspace ID.

namestringrequired

Workspace name.

slugstringrequired

Workspace slug.

logostringrequired

Workspace logo URL, or null.

created_atstringrequired

ISO 8601 creation time.

has_morebooleanrequired

false; the response includes all memberships.

curl https://api.nuxie.ai/v1/workspaces \
  --header "Authorization: Bearer $NUXIE_USER_TOKEN"
{
  "object": "list",
  "data": [
    {
      "object": "workspace",
      "id": "workspace-id",
      "name": "My workspace",
      "slug": "my-workspace",
      "logo": null,
      "created_at": "2026-08-21T12:00:00.000Z"
    }
  ],
  "has_more": false
}

Last updated on

Was this page helpful?